/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.common.batchprocess;

import gov.va.med.esr.common.util.AbstractServiceTestCase;

/**
 * Initial javadoc for class TestDataQueryBatchProcesses.
 * TODO - Add content here
 * 
 * Created Feb 17, 2006 4:03:07 PM
 * @author DNS   BOHMEG
 */
public class TestDataQueryBatchProcesses extends AbstractServiceTestCase {
	private MockDataQueryIncrementalProcess dataQueryIncrementalProcess;	
	private MockDataQueryProcess dataQueryProcess;	
	
	public void testDataQueryProcess() throws Exception {
		System.out.println("#### DataQueryProcess");
		getDataQueryProcess().invoke();
	}

	public void testDataQueryIncrementalProcess() throws Exception {
		System.out.println("#### DataQueryIncrementalProcess");
		getDataQueryIncrementalProcess().invoke();
	}

	public MockDataQueryIncrementalProcess getDataQueryIncrementalProcess() {
		return (MockDataQueryIncrementalProcess) applicationContext.getBean(MockDataQueryIncrementalProcess.class.getName());
	}
	public MockDataQueryProcess getDataQueryProcess() {
		return (MockDataQueryProcess) applicationContext.getBean(MockDataQueryProcess.class.getName());
	}	

}
